Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.project
Class ProjectConfigurator

    java.lang.Object
      org.apache.cayenne.project.ProjectConfigurator

    public class ProjectConfigurator

extends Object

Performs on the fly reconfiguration of Cayenne projects.

Author:
  Andrus Adamchik

Field Summary
`protected ProjectConfigInfo` | `info`

Constructor Summary
`ProjectConfigurator(ProjectConfigInfo info)`

Method Summary
`protected void` | `cleanup(File dir)` Deletes a temporary directories and files created.
`void` | `execute()` Performs reconfiguration of the project.
`protected File` | `makeTempDestJar()` Returns a temporary file for the destination jar.
`protected File` | `makeTempDirectory()` Creates a temporary directory to unjar the jar file.
`protected void` | `reconfigureProject(File projectDir)` Performs reconfiguration of the unjarred project.
`protected void` | `validate()` Validates consistency of the reconfiguration information.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### info

    protected ProjectConfigInfo info

Constructor Detail

### ProjectConfigurator

    public ProjectConfigurator(ProjectConfigInfo info)

Method Detail

### execute

    public void execute()
                 throws ProjectException

  Performs reconfiguration of the project.

  Throws:
    `ProjectException`

### reconfigureProject

    protected void reconfigureProject(File projectDir)
                               throws ProjectException

  Performs reconfiguration of the unjarred project.

  Parameters:
    `projectDir` - a directory where a working copy of the project is located.
  Throws:
    `ProjectException`

### makeTempDestJar

    protected File makeTempDestJar()
                            throws IOException

  Returns a temporary file for the destination jar.

  Throws:
    `IOException`

### cleanup

    protected void cleanup(File dir)

  Deletes a temporary directories and files created.

### makeTempDirectory

    protected File makeTempDirectory()
                              throws IOException

  Creates a temporary directory to unjar the jar file.

  Returns:
    File
  Throws:
    `IOException`

### validate

    protected void validate()
                     throws IOException,
                            ProjectException

  Validates consistency of the reconfiguration information.

  Throws:
    `IOException`
    `ProjectException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.